Upgrade from 0.4.38 fedaykin to 0.5 not possible

    • OMV 0.4
    • Update
    • Upgrade from 0.4.38 fedaykin to 0.5 not possible

      Hello,

      at first I have to say that my english is not very well and I hope I am finding the right words. Answers in german are preferred :)

      After using OMV since nearly two years I wanted to search for updates via the WebGUI. Now I am getting the following error:

      Source Code

      1. Failed to execute command 'export LANG=C; sudo apt-get --show-upgraded --simulate dist-upgrade 2>&1': Reading package lists... E: Encountered a section with no Package: header E: Problem with MergeList /var/lib/apt/lists/packages.omv-plugins.org_dists_donald_main_i18n_Translation-en E: The package lists or status file could not be parsed or opened.


      So I tried directly on the machine to update via

      Source Code

      1. omv-update
      or

      Source Code

      1. omv-release-update
      but the error were the same.

      Even with the following tutorial (Upgrade from latest OMV 0.5.X to OMV 1.0 and If omv-update gives an error ...) there was NO way to update to OMV 0.5...

      So I searched on the forums here for some solution but after about 3hours and no progress I opened this thread for hoping to get some quick and easy solution... Thanks!

      The installed version of OMV is 0.4.38 fedaykin (kernel 2.6.32-5-486) on a AMD E-350 system with 4GB of RAM. The system is installed on a 160GB Hitachi HDD with a LVM (2*1TB WDC RED in RAID1 and 2*2TB WDC RED in RAID1) but runs very well... For more information please ask for it...

      Greetings from north-rhine-westfalia :)

      oykoi
    • Do this first:

      Source Code

      1. rm /var/lib/apt/lists/* -vf
      2. apt-get update


      Then have a look here and try this script before upgrading:
      phpbb.openmediavault.org/viewt…38ac0f58d01a8cf6ea5c42446

      Try to upgrade again.

      By the way - we suggest a clean installation with OMV 1.X.
      OMV stoneburner | HP Microserver | 256GB Samsung 830 SSD for system | 4x 2TB in a RAID5
      OMV erasmus| Odroid XU4 | 5TB Data drive | 500GB Backup drive
    • Hello WastlJ,

      thanks for your really fast answer.

      I looked inside the script in your link. I understand nearly anything what the script is going to do, so I will do some clean install.

      Of course I am a "user" only, so I didnt know that there were so many (important/technical?) changes in the base switching from 0.4 to 0.5 of OMV.

      Small question before doing a clean install:
      => Will my LVM-volumes identified and added automatically (and correctly :)) within the new clean installed version of OMV or have I to do something else?

      Adding users and shares etc will be easy....

      Thanks and greetings
      o
    • oykoi wrote:

      I looked inside the script in your link. I understand nearly anything what the script is going to do, so I will do some clean install.


      Instead of saying "looking" at it. Just using it would solved the problem you had. ;)

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.